support SEEK_DATA and SEEK_HOLE

07/23/2013 06:30 PM - Glass_saga (Masaki Matsushita)

Status: Closed   

Priority: Normal   

Assignee: Glass_saga (Masaki Matsushita)   

Target version: 2.1.0   

Description

SEEK_DATA and SEEK_HOLE are whences for lseek(2) supported by Linux since version 3.1.

These are useful to deal with sparse files.

I propose that ruby supports these whences.

http://d.hatena.ne.jp/meech/20110721/1311244529

http://www.nminoru.jp/~nminoru/programming/sparse_file.html

Associated revisions

Revision 0a7785431c05d6b1854af94465f49c6b6d27a304 - 07/28/2013 04:06 AM - Glass_saga (Masaki Matsushita)

io.c (interpret_seek_whence): support SEEK_DATA and SEEK_HOLE.

These are whences for lseek(2) supported by Linux since version 3.1.

[ruby-core:56123] [Feature #8671]

test/ruby/test_io.rb: Add tests for above.

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@42211 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision 0a778543 - 07/28/2013 04:06 AM - Glass_saga (Masaki Matsushita)

io.c (interpret_seek_whence): support SEEK_DATA and SEEK_HOLE.

These are whences for lseek(2) supported by Linux since version 3.1.

[ruby-core:56123] [Feature #8671]

test/ruby/test_io.rb: Add tests for above.

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@42211 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

History

#1 - 07/24/2013 02:31 PM - naruse (Yui NARUSE)

- Description updated

- Status changed from Open to Assigned

- Assignee set to matz (Yukihiro Matsumoto)

- Target version changed from 2.6 to 2.1.0

It sounds good.

matz, how do you think?

#2 - 07/26/2013 01:03 AM - kosaki (Motohiro KOSAKI)

The patch looks good to me.

#3 - 07/27/2013 04:13 PM - matz (Yukihiro Matsumoto)

- Assignee changed from matz (Yukihiro Matsumoto) to Glass_saga (Masaki Matsushita)

We accept.  Go ahead.
Matz.

#4 - 07/28/2013 01:06 PM - Anonymous

- Status changed from Assigned to Closed

- % Done changed from 0 to 100

This issue was solved with changeset r42211.

Masaki, thank you for reporting this issue.

Your contribution to Ruby is greatly appreciated.

May Ruby be with you.

io.c (interpret_seek_whence): support SEEK_DATA and SEEK_HOLE.

These are whences for lseek(2) supported by Linux since version 3.1.

[ruby-core:56123] [Feature #8671]

test/ruby/test_io.rb: Add tests for above.

Files

patch.diff 3.01 KB 07/23/2013 Glass_saga (Masaki Matsushita)
